Bug 41265 - JspServlet's checkInterval parameter cannot be set to 0 implicitly
JspServlet's checkInterval parameter cannot be set to 0 implicitly
Status: RESOLVED FIXED
Product: Tomcat 5
Classification: Unclassified
Component: Jasper
5.5.20
All All
: P3 minor (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2006-12-30 02:34 UTC by Dies Koper
Modified: 2007-01-19 19:40 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dies Koper 2006-12-30 02:34:23 UTC
conf\web.xml's JspServlet init parameters include 'checkInterval', whose value
is explained as follows:
  If development is false and checkInterval is greater than zero, background
compilations are enabled.

If I add the following parameters one would think the background compilations
would be disabled (the value is not greater than zero).

        <init-param>
            <param-name>checkInterval</param-name>
            <param-value>0</param-value>
        </init-param>
        <init-param>
            <param-name>development</param-name>
            <param-value>false</param-value>
        </init-param>

However, the value is changed to 300 and the following warning is outputted:
Dec 30, 2006 7:13:57 PM org.apache.jasper.EmbeddedServletOptions <init>
WARNING: Warning: Invalid value for the initParam checkInterval. Will use the
default value of "300" seconds

According to the comment in web.xml "0" was a valid value. Either the comment or
the validity check is wrong. Or my understanding of them.
Comment 1 Mark Thomas 2007-01-19 19:40:06 UTC
This is fixed in svn and will be in 5.5.21 onwards. I removed the code that
reset the value to 300 if specified as zero.